EDIT - bug #7096

Add second symbol attribute to DefinedTermBase

11/27/2017 02:13 PM - Andreas Muller

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 70%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.0

Severity: normal Found in Version:

Description

In Cuba checklist we need 1 symbol for the short representations string, another one for the representation in the distribution editor.

A project may define which symbol to use for which use-case. Symbols are project specific, and not globally defined for the given

vocabulary.

Before closing: adapt Cuba symbols and switch cuba to symbol2.

Related issues:

Related to EDIT - feature request #5779: Update EuroPlusMedCondensedDistribut... Closed

Related to EDIT - bug #8297: Fix condensed distribution string for E+M Closed

Associated revisions

Revision 432e932d - 05/09/2018 01:21 PM - Andreas Miiller

fix #7096 Add second symbol attribute to DefinedTermBase

Revision 4cc1a141 - 05/09/2018 01:21 PM - Andreas Miiller

ref #7096 add symbol2 to xmltype

History

#2 - 11/27/2017 02:15 PM - Andreas Miiller

- Status changed from New to In Progress

- Priority changed from New to Highest

#3 - 02/01/2018 03:45 PM - Andreas Miiller

After doing so revert idInVocabulary in Cuba Database

NOT complete !!!

REPLACE INTO "DefinedTermBase ™ (" id', "titleCache” “idInVocabulary') VALUES (2062, 'native', 'n');

REPLACE INTO ‘DefinedTermBase ™ (" id', ‘titleCache’ “idInVocabulary' ) VALUES (2056, 'naturalised', 'na');

REPLACE INTO "DefinedTermBase ™ ( id’, "titleCache’ “idInVocabulary') VALUES (2059, 'introduced: adventitious
(casual) ', 'ia');

REPLACE INTO ‘DefinedTermBase ™ (" id', ‘titleCache’ "idInVocabulary' ) VALUES (2049, 'introduced: uncertain deg

ree of naturalisation', 'ip');

REPLACE INTO "DefinedTermBase ™ (" id’, "titleCache” “idInVocabulary') VALUES (2052, 'introduced: cultivated',
'ic");

REPLACE INTO "DefinedTermBase ™ ( id’, "titleCache’ “idInVocabulary') VALUES (2209, 'endemic, doubtfully prese

nt', '?e');

REPLACE INTO ‘DefinedTermBase ™ (" id', ‘titleCache’ “idInVocabulary' ) VALUES (2063, 'doubtfully present', 'pd'

) i

REPLACE INTO "DefinedTermBase ™ (" id’, "titleCache” “idInVocabulary') VALUES (2216, 'endemic: reported in erro

7 L} P L} —-e L} ) ,.

REPLACE INTO "DefinedTermBase ™ ( id’, "titleCache’ “idInVocabulary') VALUES (2047, 'native: formerly native',
'ne');

REPLACE INTO ‘DefinedTermBase ™ (" id’, ‘titleCache’ "idInVocabulary' ) VALUES (2217, 'naturalised: reported in

error', '-n');

REPLACE INTO "DefinedTermBase ™ (" id', "titleCache” “idInVocabulary') VALUES (2219, 'casual alien: reported in
error', '-a');

REPLACE INTO "DefinedTermBase ™ ( id’, "titleCache’ “idInVocabulary') VALUES (2218, 'not native but possibly n

aturalised: reported in error', '-p');
#4 - 02/02/2018 12:27 PM - Andreas Miiller

id titteCache idInVocabulary symbol n vocabulary_id

2065 endemic e a 2975 30

2062 native n 35746 30

2061 native: doubtfully nd D 883 30
native

2056 naturalised na n 2 30

2060 introduced: in n 2735 30
naturalized

2059 introduced: ia a 76 30
adventitious (casual)

2051 cultivated c c 1632 30

2209 endemic, doubtfully ?e 200 9 30
present

2054 native: presence nq ? 167 30
questionable

2214 naturalised, presence | ?n n 2 30
questionable

2050 cultivated, presence cq ?c 1 30
questionable

2216 endemic: reported in ) - 1 30
error

2046 reported in error f - 53 30

2045 native: reported in nf - 111 30
error

2233 doubtfully native: -d —d 1 30
reported in error

2217 naturalised: reported -n -n 26 30
in error

2219 casual alien: reported |-a -a 3 30
in error

2042 cultivated: reported in | cf - 36 30
error

2210 not native but possibly |p p 2617 56
naturalised

2211 rare casual alien (a) (a) 39 56

2212 occasionally cultivated | (c) (c) 256 56

2215 frequent casual alien, | ?p P 2 56
doubtfully present

2218 not native but possibly |-p -p 11 56
naturalised: reported
in error

#5 - 02/02/2018 03:35 PM - Andreas Miuller

2056 naturalised was mistakenly created

#6 - 05/07/2018 05:39 PM - Andreas Miiller

- Tags set to cuba, euro+med

#7 - 05/07/2018 05:39 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

#8 - 05/14/2018 05:00 PM - Andreas Miiller

- Description updated
#9 - 05/25/2018 11:51 AM - Andreas Miiller
- Related to feature request #5779: Update EuroPlusMedCondensedDistributionComposer to use new symbol field added

#10 - 05/30/2018 07:50 AM - Andreas Muller
- % Done changed from 50 to 70

#11 - 02/24/2021 04:59 PM - Andreas Miiller
- Related to bug #8297: Fix condensed distribution string for E+M added
